# Generated by Django 2.2.3 on 2019-07-24 08:20

from django.db import migrations, models

import weblate.trans.validators


class Migration(migrations.Migration):

    dependencies = [("trans", "0031_auto_20190721_1810")]

    operations = [
        migrations.AlterField(
            model_name="component",
            name="filemask",
            field=models.CharField(
                help_text="Path of files to translate relative to repository root, use * instead of language code, for example: po/*.po or locale/*/LC_MESSAGES/django.po.",
                max_length=400,
                validators=[weblate.trans.validators.validate_filemask],
                verbose_name="Filemask",
            ),
        ),
        migrations.AlterField(
            model_name="component",
            name="git_export",
            field=models.CharField(
                blank=True,
                help_text="URL of repository where users can fetch changes from Weblate",
                max_length=220,
                verbose_name="Exported repository URL",
            ),
        ),
        migrations.AlterField(
            model_name="component",
            name="new_base",
            field=models.CharField(
                blank=True,
                help_text="Filename of file used for creating new translations. For gettext choose .pot file.",
                max_length=400,
                verbose_name="Template for new translations",
            ),
        ),
        migrations.AlterField(
            model_name="component",
            name="template",
            field=models.CharField(
                blank=True,
                help_text="Filename of translation base file, containing all strings and their source; it is recommended for monolingual translation formats.",
                max_length=400,
                verbose_name="Monolingual base language file",
            ),
        ),
        migrations.AlterField(
            model_name="translation",
            name="filename",
            field=models.CharField(max_length=400),
        ),
    ]
